<?php
/**
 * This file fixes some issues generated by "WPML".
 *
 * @package    Nelio_Content
 * @subpackage Nelio_Content/includes/compat
 * @author     David Aguilera <david.aguilera@neliosoftware.com>
 * @since      1.5.5
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}//end if

function nc_wpml_maybe_add_filters() {

	if ( ! function_exists( 'icl_object_id' ) ) {
		return;
	}//end if

	add_filter( 'nelio_content_post_permalink', 'nc_wpml_use_actual_post_link', 1, 2 );

}//end nc_wpml_maybe_add_filters()
add_action( 'init', 'nc_wpml_maybe_add_filters' );

function nc_wpml_use_actual_post_link( $permalink, $post_id ) {

	global $sitepress_settings;
	$old_value = $sitepress_settings['auto_adjust_ids'];
	$sitepress_settings['auto_adjust_ids'] = false;


	$post = get_post( $post_id );
	if ( ! $post || is_wp_error( $post ) ) {
		return $permalink;
	}//end if

	remove_filter( 'nelio_content_post_permalink', 'nc_wpml_use_actual_post_link', 1 );
	$permalink = get_permalink( $post );
	if ( 'publish' !== $post->post_status ) {
		$aux = clone $post;
		$aux->post_status = 'publish';
		if ( empty( $aux->post_name ) ) {
			$aux->post_name = sanitize_title( $aux->post_title, $aux->ID );
		}//end if
		$aux->post_name = wp_unique_post_slug( $aux->post_name, $aux->ID, 'publish', $aux->post_type, $aux->post_parent );
		$permalink = get_permalink( $aux );
	}//end if
	add_filter( 'nelio_content_post_permalink', 'nc_wpml_use_actual_post_link', 1, 2 );

	$sitepress_settings['auto_adjust_ids'] = $old_value;

	return $permalink;

}//end nc_wpml_use_actual_post_link()

